<?php
include_once("../../../php/sessionStart.php"); 
include_once("../../../php/db/dbExec.php");
include_once('../../../php/functions.php');
include_once("../../../php/fpdf/functions.php");
include_once('../../../php/maxExecTime.php');

$empCod=utf8_decode($_SESSION["empCod"]);
$empNom=utf8_decode($_SESSION["empNom"]);
$empDir=utf8_decode($_SESSION["empDir"]);

$func = new functions();

$numCod=$_GET['numCod'];
$txtNom=$_GET['txtNom'];
$dtFec=$_GET['dtFec'];
$txtFirma=$_GET['txtFirma'];
$cbIncluSuel=$_GET["cbIncluSuel"];
$cbIncluBoni=$_GET["cbIncluBoni"];
$cbIncluOboni=$_GET["cbIncluOboni"];
$incluvalores=$_GET["incluvalores"];
$totLetras=$_GET["totLetras"];

$ano=date("Y", strtotime($dtFec));
$mes=date("n", strtotime($dtFec));
$dia=date("d", strtotime($dtFec));

$lineWidth=18.5;
$lineHeight=0.42;

class generatePDF extends PDF_MC_Table {
    function Header() {
    }
    
    function Footer() {
        // Posición: a 1,5 cm del final
        //$this->SetY(-2.5);
        //$this->SetFont("Arial","I",8);
        //$this->Cell(0,1,"PAGINA ".$this->PageNo(),0,0,"C");
    }
}

# QUERYS PARA UN REGISTRO

function sMes($mes) { 
    global $empCod, $numCod;
    return "SELECT *, TRIM(m.mes_nom) AS mes_nom FROM meses m WHERE mes_cod='$mes'";
}

$sMaestro = "SELECT *, mae.mae_cod, TRIM(mae.mae_nom) AS mae_nom, TRIM(mae.mae_ape) AS mae_ape, TRIM(mae.mae_dpi) AS mae_dpi,
        TRIM(pue.tpu_nom) AS tpu_nom, TRIM(dep.dep_nom) AS dep_nom 
        FROM maestro mae LEFT JOIN tpuesto pue ON mae.mae_tpue=pue.tpu_cod 
        LEFT JOIN dep dep ON mae.mae_dep=dep.dep_cod 
        WHERE mae_emp='$empCod' AND mae_cod='$numCod'";

# EJECUCION DE QUERYS 
$db = new dbExec();

$select["meses"] = $db->query(sMes($mes));
$fetchAssoc["meses"] = $db->fetchAssoc($select["meses"]);
$mesnom=$fetchAssoc["meses"]["mes_nom"];

$letfec=$dia." de ".$mesnom." de ".$ano;


$select["maestro"] = $db->query($sMaestro);
$mae = $db->fetchAssoc($select["maestro"]);
$puesto=$mae["tpu_nom"];

# GENERAR PDF
//$pdf = new generatePDF("L","cm", "Letter");
$pdf = new generatePDF("P","cm", "Letter");
$pdf->AddPage();
$func = new functions();
$pdf->SetMargins(1.5, 1, 2);
$lineHeight=0.5;
$img = '../img/LogoOsher.png';
$pdf->Image($img,1.5,.5,4.3);
$pdf->SetFont("Arial","",10);
$pdf->Ln(1.5);
$pdf->MultiAlignCell($lineWidth/2.5, $lineHeight, "",0,0,"L");
$pdf->MultiAlignCell($lineWidth/8, $lineHeight, "Guatemala,  ",0,0,"L");
$pdf->MultiAlignCell($lineWidth/3, $lineHeight, $letfec,0,1,"L");
$pdf->Ln(3);
$pdf->MultiAlignCell($lineWidth, $lineHeight, utf8_decode("A QUIEN CORRESPONDA:"),0,1,"L");
//.strftime("%d/%m/%Y")),0,1,"L");
$pdf->Ln(2);

$pdf->MultiAlignCell($lineWidth, $lineHeight, "Por medio de la presente se hace constar que ".$mae["mae_nom"]." ".$mae["mae_ape"]." quien se identifica con DPI ".$mae["mae_dpi"]." labora en ".$empNom." ubicado en ".$empDir.utf8_decode(" Desempeñando el cargo de ").$mae["tpu_nom"]." desde el ".strftime("%d/%m/%Y", strtotime($mae["mae_fing"]))." a la fecha.",0,1,"L");

$pdf->Ln();

if ($func->stringToBool($cbIncluSuel)) {
  $pdf->MultiAlignCell($lineWidth, $lineHeight, "Devengando un salario de  ".$totLetras.".",0,1,"L");
}
if ($func->stringToBool($cbIncluBoni)) {
  $pdf->MultiAlignCell($lineWidth, $lineHeight, "Devengando un salario de  ".$totLetras." incluyendo bonificacion de ley.",0,1,"L");
}

if ($func->stringToBool($cbIncluOboni)) {
  $pdf->MultiAlignCell($lineWidth, $lineHeight, "Devengando un salario de  ".$totLetras." incluyendo bonificacion de ley y otras bonificaciones.",0,1,"L");
}

//$texto = utf8_decode("   <b>De una parte</b> D. ANTONIO PÉREZ RAMÍREZ con en nombre y representación de la entidad mercantil ACME S.L. procedo a pedir los servicios mencionados para poder continuar el proceso bla bla bla y en lo sucesivo <b>EL AUDITOR</b>.");
    //$pdf->MultiAlignCell(180,5,$pdf->WriteHTML($texto));

$pdf->Ln();

$pdf->MultiAlignCell($lineWidth, $lineHeight, utf8_decode("Y para los efectos que al interesado convenga extiendo, sello y firmo la presente, en el mismo lugar y fecha arriba indicada."),0,1,"L");

$pdf->Ln(5);
$pdf->MultiAlignCell($lineWidth/7, $lineHeight, "",0,0,"L");
$pdf->MultiAlignCell($lineWidth/1.2, $lineHeight, utf8_decode("(F) ____________________________________________________________________"),0,1,"C");

$pdf->MultiAlignCell($lineWidth/7, $lineHeight, "",0,0,"L");
$pdf->MultiAlignCell($lineWidth/1.2, $lineHeight, $txtFirma,0,1,"C");

$pdf->Output(utf8_decode("AnticipoLiqui").".pdf","I");
?>